# Get Rates for Shipment

## /rates

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/rates/shipment`

This endpoint allows you to retrieve rates for a shipment. Must include ***parcel\_id*** and one of ***pickup\_address** & **delivery\_*****address** or ***shipment\_id.*** To return cash on delivery rates for carriers who supports cash-on-delivery,  ***s***&#x65;t ***cash\_on\_delivery*** to true if ***shipment\_id*** does not include a ***shipment\_type*** of `cash-on-delivery`.&#x20;

#### Query Parameters

| Name               | Type    | Description                                                                                                                                                                                                                |
| ------------------ | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| currency           | string  | Currency for rates. Defaults to ***NGN***. Available options are ***AED***, ***AUD***, ***CAD***, ***CNY***, ***EUR***, ***GBP***, ***GHS***, ***HKD***, ***KES***, ***NGN***, ***TZS***, ***UGX***, ***USD***, ***ZAR***. |
| pickup\_address    | string  | Unique id for pickup address. Required if ***shipment\_id*** not provided.                                                                                                                                                 |
| delivery\_address  | string  | Unique id for delivery address. Required if ***shipment\_id*** not provided.                                                                                                                                               |
| shipment\_id       | string  | Unique id of shipment. Required if ***delivery\_address*** and ***pickup\_address*** not provided.                                                                                                                         |
| parcel\_id         | string  | Unique id of parcel. Not required if shipment id is provided.                                                                                                                                                              |
| cash\_on\_delivery | boolean | Set to true to return rates for carriers who supports cash-on-delivery                                                                                                                                                     |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |

{% tabs %}
{% tab title="200 Rates retrieved successfully." %}

```
{
	status: true,
	message: 'Rates retrieved successfully',
	data: [{
		amount: 14000,
		carrier_id: 'loYZh5J47D6gJUKOExXeO1RLcMARScLi',
		carrier_logo: 'https://ucarecdn.com/dcdd8109-af8c-4057-8104-192be821dd6e/download4.png',
		carrier_name: 'DHL Express',
		carrier_rate_description: 'EXPRESS 12:00 DOC',
		currency: 'NGN',
		delivery_time: 'Within 5 days.',
		id: 'bQVMwQZndHbIq6PQD5oiaGWxetLCXGkp',
		includes_insurance: false,
		insurance_coverage: 0,
		insurance_fee: 0,
		metadata: {},
		pickup_time: 'Tue Jul 13 2021 before 17:00 GMT',
		rate_id: 'RT-30798955894',
		shipment: 'RAl6LhWojcnJtlojLcw4XWgSpjBsjF38',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	},{
		amount: 12500,
		carrier_id: 'hWiA1ZLw3SIr3VeCEbUKpjqVsijHrNjZ',
		carrier_logo: 'https://ucarecdn.com/c2d4dcb2-1483-47a5-ab14-447a990f5827/60dc7947195c0078fabff349_1200pxUnited_Parcel_Service_logo_2014svg.png',		
		carrier_name: 'United Parcel Services',
		carrier_rate_description: '',
		currency: 'NGN',
		delivery_time: 'Delivery within 1, 2, or 3 days based on where your package started and where it’s being sent.',		
		id: 'eDcN2a86N5OdWp3rzJLF2qoovG2BqLkC',
		includes_insurance: false,
		insurance_coverage: 0,
		insurance_fee: 0,
		metadata: {},
		pickup_time: 'Tue Jul 13 2021 before 17:00 GMT',
		rate_id: 'RT-97421991024',
		shipment: 'RAl6LhWojcnJtlojLcw4XWgSpjBsjF38',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	},{
		amount: 11000,
		carrier_id: 'xOkhPcycBm75msJ8l6BU81vWRaA3p0tp',
		carrier_logo: 'https://ucarecdn.com/3273a236-bd33-4c37-9f87-2bcf4e59275f/6035307b31150075cabc780d_EeNJnpVz_400x400.jpg',
		carrier_name: 'Sendbox',
		carrier_rate_description: 'Standard Delivery',
		currency: 'NGN',
		delivery_time: 'Between 5 - 7 business days.',		
		id: 'A7c64epPiVyz2NZ5Cs3uNWuPznXUKFwj',
		includes_insurance: false,
		insurance_coverage: 0,
		insurance_fee: 0,
		metadata: {},	
		pickup_time: 'Between 12 - 24 hours',
		rate_id: 'RT-49826156746',
		shipment: 'RAl6LhWojcnJtlojLcw4XWgSpjBsjF38',	
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}],
	pageData: {
    "total": 3,
    "perPage": 100,
    "page": 1,
    "pageCount": 1		
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/rate/get-rates-for-shipment-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
